Package org.h2.test.db

# Class TestTableEngines.EndlessTableEngine

java.lang.Object
org.h2.test.db.TestTableEngines.EndlessTableEngine

All Implemented Interfaces:
  `TableEngine`

Enclosing class:
  `TestTableEngines`

public static class TestTableEngines.EndlessTableEngine extends Object implements TableEngine
A test table factory.

## Field Summary

Fields
Modifier and Type
Field
Description
`static CreateTableData`
`createTableData`

## Constructor Summary

Constructors
Constructor
Description
`EndlessTableEngine()`

## Method Summary

Modifier and Type
Method
Description
`org.h2.test.db.TestTableEngines.EndlessTableEngine.EndlessTable`
`createTable(CreateTableData data)`
Create a new table.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### createTableData

public static CreateTableData createTableData

## Constructor Details

### EndlessTableEngine

public EndlessTableEngine()

## Method Details

### createTable

public org.h2.test.db.TestTableEngines.EndlessTableEngine.EndlessTable createTable(CreateTableData data)
Create a new table.

Specified by:
  `createTable` in interface `TableEngine`
Parameters:
  `data` - the meta data of the table to create
Returns:
  the new table